#!/bin/bash

##############################################################################
# this script tests with shunit2 methods
# following shell script from the ../t dir
##############################################################################

SCRIPT_TO_TEST=mongo_enable_auth.sh

# die if shunit2 not found
type shunit2 && SHUNIT2=$(type -p shunit2) || exit 1
echo -e "testing: $0"

# test script directory (/var/epages/t)
TEST_DIR=$(cd $(dirname $0) && pwd)
# directory to test (/var/epages/bin)
BIN_DIR=${TEST_DIR%/*}/bin
SCRIPT_TO_TEST=$BIN_DIR/$SCRIPT_TO_TEST
echo -e "script to test: $SCRIPT_TO_TEST\n"

##############################################################################
# re-define functions                                                        #
##############################################################################

function setUp() {
  #backup mongo.conf and epagesj.conf
  return
}

function oneTimeTearDown() {
  #recover mongo.conf and epagesj.conf

  #remove db users

  #restart mongo
  return
}

##############################################################################
# define functions                                                           #
##############################################################################

function test_enable_authentication() {

  #export mongo dbs to file1 without auth

  assertTrue "No such file: $SCRIPT_TO_TEST" "test -f $SCRIPT_TO_TEST"
  assertTrue "File not executable: $SCRIPT_TO_TEST" "test -x $SCRIPT_TO_TEST"

  #check access without auth

  #export mongo dbs to file2 with auth

  #differ file1 and file2

  echo -e "done.\n"
}

##############################################################################
# source shunit2                                                             #
##############################################################################

. $SHUNIT2
